; =========================================================
; Module: VMusic2
; =========================================================
; Description:
;     VMusic2-related functions.
; =========================================================

.module VMusic2 \ VMusic2

.include "Modules/Music.asm"
.include "Modules/File.asm"
.include "Modules/Directory.asm"
.include "Modules/Disk.asm"
.include "Modules/IO.asm"
.include "Modules/TiLP.asm"	
.include "Modules/Utility.asm"


.module Commands
	ShortMode .db "SCS",0
	.module Music
		Play      = $1D
		WriteReg  = $1E
		ReadReg   = $1F
		Stop      = $20
		PlayAll   = $21
		Next      = $25
		Previous  = $26
	.endmodule
	.module Directory
		List      = $01
		Change    = $02
		Delete    = $05
		Create    = $06
	.endmodule
	.module Disk
		FreeSpace = $12
	.endmodule
.endmodule


.echoln "VMusic2 - Ben Ryves for MaxCoderz 2007 ({0} bytes).", $-VMusic2

.endmodule