.module Disk
.using Parent

; ---------------------------------------------------------
; GetFreeSpace -> Get the size of a file.
; ---------------------------------------------------------
; Inputs:    OP1 = filename.
; Outputs:   z = got file size; nz = didn't.
;            dehl = free space (32-bits).
; Destroyed: af, bc, OP1.
; ---------------------------------------------------------
GetFreeSpace
	ld a,Commands.Disk.FreeSpace
	call IO.WriteShortByteCR
	ret nz
	call IO.ReadOP1
	ret nz
	ld hl,(OP1+0)
	ld de,(OP1+2)
	ret
.endmodule